<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class HistoryPerusahaanRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'PerusahaanId' => 'required|integer',
            'HistoryKegiatanId' => 'required|integer',
            'TanggalHistory' => 'required|date',
            'NomorHistory' => 'nullable|string|max:100',
            'KeteranganHistory' => 'nullable|string',
            'DokumenHistory' => 'required|file|mimes:pdf',
        ];
    }
}
